> For the complete documentation index, see [llms.txt](https://docs.eventication.com/event/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eventication.com/event/general/integrations/catalyst/stock-leases.md).

# Stock leases

{% hint style="info" %}
This endpoint requires the **stock\_leases** access to be enabled in the Catalyst integration settings.
{% endhint %}

#### <mark style="color:$success;">GET</mark> `/catalyst/stock_leases`

Returns the [stock leases](/event/stock/leases.md) for the event. A stock lease records that a specific stock item was lent out to a visitor (membership or list entry item).

* URL: `https://api.eventication.com/catalyst/stock_leases?page=1`
* Page size: **200 objects per request**
* Fields per item:
  * `id`
  * `stock_item_id` — references an item from [stock\_items](/event/general/integrations/catalyst/stock-articles.md)
  * `lease_to_id` — the ID of the visitor this item was leased to
  * `lease_to_type` — the type of the visitor: `"Membership"` or `"ListEntryItem"`
  * `start_lease_at` — when the lease started (ISO8601)
  * `end_lease_at` — when the lease ended (ISO8601), `null` if the item has not been returned yet or if the item doesn't have to be returned
  * `end_lease_status` — condition on return: `good`, `damaged`, `theft`, `dirty`, or `lost`; `null` if not yet returned or if the item doesn't have to be returned
  * `amount` — quantity leased (decimal)

Example item (open lease):

```json
{
  "id": 500,
  "stock_item_id": 101,
  "lease_to_id": 789,
  "lease_to_type": "Membership",
  "start_lease_at": "2026-07-04T10:30:00Z",
  "end_lease_at": null,
  "end_lease_status": null,
  "amount": "1.0"
}
```

Example item (returned lease):

```json
{
  "id": 501,
  "stock_item_id": 102,
  "lease_to_id": 790,
  "lease_to_type": "Membership",
  "start_lease_at": "2026-07-04T11:00:00Z",
  "end_lease_at": "2026-07-06T09:15:00Z",
  "end_lease_status": "good",
  "amount": "1.0"
}
```

Response shape:

```json
{
  "data": [
    {
      "id": 500,
      "stock_item_id": 101,
      "lease_to_id": 789,
      "lease_to_type": "Membership",
      "start_lease_at": "2026-07-04T10:30:00Z",
      "end_lease_at": null,
      "end_lease_status": null,
      "amount": "1.0"
    },
    ...
  ],
  "meta": {
    "page": 1,
    "per_page": 200,
    "next_page": 2,
    "prev_page": null
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eventication.com/event/general/integrations/catalyst/stock-leases.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
